# RunSlackMessageTestJobData | windmill-client
Documentation for windmill-client

# Type Alias RunSlackMessageTestJobData

RunSlackMessageTestJobData: {
requestBody: {
channel?: string;
hub_script_path?: string;
test_msg?: string;
};
workspace: string;
}

#### Type declaration

- ##### requestBody: {
  channel?: string;
  hub_script_path?: string;
  test_msg?: string;
  }

  path to hub script to run and its corresponding args

  - ##### `Optional` channel?: string

  - ##### `Optional` hub_script_path?: string

  - ##### `Optional` test_msg?: string

- ##### workspace: string

- Defined in src/types.gen.ts:1783